Holger's Java API

## com.antelmann.util.gui
Class JHourSpinner.HourModel

    java.lang.Object
      javax.swing.AbstractSpinnerModel
          com.antelmann.util.gui.JHourSpinner.HourModel

All Implemented Interfaces:
  SpinnerModel

Enclosing class:
  JHourSpinner

    public static class JHourSpinner.HourModel

extends AbstractSpinnerModel

Field Summary
`protected long` `interval`
`protected long` `value`

Fields inherited from class javax.swing.AbstractSpinnerModel
`listenerList`

Constructor Summary
`JHourSpinner.HourModel()`
`JHourSpinner.HourModel(long value)`
`JHourSpinner.HourModel(long value, long interval)` allows to customize the interval (by default, it's the equivalent of a minute)

Method Summary
`Long` `getNextValue()`
`Long` `getPreviousValue()`
`Long` `getValue()`
`void` `setValue(Object value)`

Methods inherited from class javax.swing.AbstractSpinnerModel
`addChangeListener, fireStateChanged, getChangeListeners, getListeners, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interval

    protected long interval

### value

    protected long value

Constructor Detail

### JHourSpinner.HourModel

    public JHourSpinner.HourModel()

### JHourSpinner.HourModel

    public JHourSpinner.HourModel(long value)

### JHourSpinner.HourModel

    public JHourSpinner.HourModel(long value,
                                  long interval)

  allows to customize the interval (by default, it's the equivalent of a minute)

Method Detail

### getNextValue

    public Long getNextValue()

### getPreviousValue

    public Long getPreviousValue()

### getValue

    public Long getValue()

### setValue

    public void setValue(Object value)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads